# SingleEquation class

(Shortest import: `from brian2.equations.equations import SingleEquation)`

class brian2.equations.equations.SingleEquation(type, varname, dimensions, var_type='float', expr=None, flags=None)

  Bases: `Hashable`, `CacheKey`

  Class for internal use, encapsulates a single equation or parameter.

  Note

  This class should never be used directly, it is only useful as part of the `Equations` class.

  Parameters:

    type : {PARAMETER, DIFFERENTIAL_EQUATION, SUBEXPRESSION}

    > The type of the equation.

    varname : str

    > The variable that is defined by this equation.

    dimensions : `Dimension`

    > The physical dimensions of the variable

    var_type : {FLOAT, INTEGER, BOOLEAN}

    > The type of the variable (floating point value or boolean).

    expr : `Expression`, optional

    > The expression defining the variable (or `None` for parameters).

    flags: list of str, optional :

    > A list of flags that give additional information about this equation. What flags are possible depends on the type of the equation and the context.

  Attributes

  `identifiers` | All identifiers in the RHS of this equation.
  `stochastic_variables` | Stochastic variables in the RHS of this equation
  `unit` | The `Unit` of this equation.

  Details

  identifiers

    All identifiers in the RHS of this equation.

  stochastic_variables

    Stochastic variables in the RHS of this equation

  unit

    The `Unit` of this equation.